$!---------------------------------------------------------------------
$!          FILEPRT Command -  By Scott B. Sibley   22 Sept 80
$!---------------------------------------------------------------------
$!
$!        File to Line Printer:  FILEPRT [file-spec | -F | -H]
$!
$!     This command file processes multiple files by reading file
$!     names from a saved "DIR" list built according to parameter 1.
$!
$!     GLOBAL SYMBOLS used:  HelpDir, Out, it
$!     FILES used:  DIRLIST.JKZ;77, 'HelpDir'fileprt.hlp
$!
$!---------------------------------------------------------------------
$      IF 'F$LOC("-",P1) .NE. 'F$LEN(P1) THEN GOTO INFO
$      it :== 'P1'
$      it := 'P1'
$      IF it .EQS. "" THEN INQ/L it "Enter Directory File Spec"
$      IF it .EQS. "" THEN EXIT
$!--------------------------------------- Get Path Name
$      PathName := ""
$      loc = 'F$LOC("]",it) + 1
$      IF loc .LE. 'F$LEN(it) THEN PathName := 'F$EXT(0,loc,it)
$!---------------------------------------
$      ON control_Y THEN GOTO EOF
$      IF 'F$LOC(";",it)' .EQ. 'F$LEN(it) THEN it := "''it';"
$      DIRECTORY/COL=1/BRIEF/OUT=DIRLIST.JKZ;77 'it'
$      OPEN DIRFILE DIRLIST.JKZ;77
$      READ/END=EOF DIRFILE LINE
$      READ/END=EOF DIRFILE LINE
$      READ/END=EOF DIRFILE LINE
$READ: READ/END=EOF DIRFILE LINE
$      FileName := "''LINE'"
$      IF FileName .EQS. "" THEN GOTO EOF
$      FileName := 'PathName''FileName'
$      Out "          Printing File '", FileName, "'"
$      PRINT 'FileName'
$      GOTO READ
$EOF:  CLOSE DIRFILE
$      DEL DIRLIST.JKZ;77
$      EXIT
$INFO: Out "       File Printer:  FILEPRT [file-spec | -F | -H]"
$      IF "''F$EXT(0,2,P1)'" .NES. "-F" THEN fmt 'HelpDir'fileprt.hlp TT:
