$!---------------------------------------------------------------------
$!            INFO Command -  By Scott B. Sibley   18 Nov 80
$!---------------------------------------------------------------------
$!
$!           List Information:  INFO [topic-prefix] | -F | -H
$!
$!     GLOBAL SYMBOLS used:  InfoDir, HelpDir, Out
$!     FILES used:  TOPICDAT.INF, "InfoDir"INFO.TEX, "HelpDir"info.hlp
$!     LOGICAL NAMES used:  TOPICS, FOR001,INFOFILE,FOR005,FOR007
$!
$!---------------------------------------------------------------------
$      ON Warning THEN EXIT
$!---------------------------------------------- Process option
$      toplin := "000000S"
$      MaxLevel = 2   ! It was 1 but then gave too little info
$      pagelen = 22
$      FileOrg := "S"
$      infile := ""
$      outfile := "TT:"
$      arg = 0
$Next:    arg = arg + 1
$         it := ""
$         IF arg .EQ. 1 THEN it := "''P1'"
$         IF arg .EQ. 2 THEN it := "''P2'"
$         IF arg .EQ. 3 THEN it := "''P3'"
$         IF arg .EQ. 4 THEN it := "''P4'"
$         IF arg .EQ. 5 THEN it := "''P5'"
$         IF arg .EQ. 6 THEN it := "''P6'"
$         IF it .EQS. "" THEN GOTO DelSym
$         IF "''F$EXT(0,1,it)'" .EQS. "-" THEN GOTO TryOpt
$            toplin := "''toplin' ''it'"
$            GOTO Next
$TryOpt:  opt := 'F$EXT(0,2,it)'
$         IF opt .EQS. "-F" .OR. opt .EQS. "-H" THEN GOTO INFO
$         last = "''F$LOC(":",it)'" + 1
$         IF opt .EQS. "-L" THEN MaxLevel = "''F$EXT(last,4,it)'"
$         IF opt .EQS. "-A" THEN Maxlevel = 99
$         IF opt .EQS. "-P" THEN pagelen = "''F$EXT(last,4,it)'"
$         IF opt .EQS. "-D" THEN FileOrg := "D"
$         IF opt .EQS. "-I" THEN infile := "''F$EXT(last,99,it)'"
$         IF opt .EQS. "-O" THEN outfile := "''F$EXT(last,99,it)'"
$         IF opt.EQS."-L".OR.opt.EQS."-A".OR.opt.EQS."-P" THEN GOTO Next
$         IF opt.EQS."-I".OR.opt.EQS."-O".OR.opt.EQS."-D" THEN GOTO Next
$            Out "       INFO - Invalid Option:  ''it'"
$            EXIT
$DelSym:DELETE/SYMBOL/LOC arg
$!---------------------------------------------- Check Options
$      IF MaxLevel .GT. 0 THEN GOTO CkPag
$         Out "       INFO - Invalid #levels:  ",MaxLevel
$         EXIT
$CkPag:IF pagelen .GT. 0 THEN GOTO CkOut
$         Out "       INFO - Invalid page length:  ",pagelen
$         EXIT
$CkOut:IF outfile .EQS. "" THEN outfile := "INFO.LIS"
$      OPEN/WRIT/ERR=NoOut FOR007 'outfile'
$      GOTO Init
$NoOut:   Out "       INFO - Cannot open Output file:  ",outfile
$         EXIT
$!----------------------------------------------------
$Init: IF infile .EQS. "" THEN FileOrg := "D"
$      IF infile .EQS. "" THEN infile := "''InfoDir'INFO.DAM"
$      ON Control_Y THEN GOTO EOF
$      loc = 2
$      IF pagelen .GT. 9 THEN loc = 1
$      IF pagelen .GT. 99 THEN loc = 0
$      j = 3 - loc
$      toplin[loc,j]:= "''pagelen'"
$      loc = 5
$      IF MaxLevel .GT. 9 THEN loc = 4
$      j = 6 - loc
$      toplin[loc,j]:= "''MaxLevel'"
$      toplin[6,1]:= "''FileOrg'"
$      ASSI/USER_MODE "''toplin'" INFOARGS
$      ON Warning THEN GOTO EOF
$      ASSI/USER_MODE 'infile' INFOFILE
$      ASSI/USER_MODE TT: FOR005   !  Set prompt input from terminal
$      RUN 'InfoDir'INF
$!----------------------------------------------------
$EOF:  CLOSE FOR007
$      EXIT
$INFO:
$Out "       List Information:  INFO [topic-prefix-list] [-LEVELS:n | -ALL {2}]"
$Out "                               [-PAGELEN:n {22}] [-OUT[:file {INFO.LIS}]]"
$Out "                               [-IN:file {'InfoDir'INFO.TEX}] | -F | -H"
$      IF "''F$EXT(0,2,P1)'" .NES. "-F" THEN fmt 'HelpDir'info.hlp TT:
