$!---------------------------------------------------------------------
$!            SE Command -  By Scott B. Sibley   24 Sept 80
$!---------------------------------------------------------------------
$!
$!  Edit & Remember Name:  SE [file-spec [-NEW]] | -F | -H {'SaveFile'}
$!
$!     This command file processes multiple files by reading file
$!     names from a saved "DIR" list built according to parameter 1.
$!
$!     GLOBAL SYMBOLS used:  SaveFile, HelpDir, Out, it
$!     FILES used:  DIRLIST.JKZ;77, 'HelpDir'se.hlp
$!
$!---------------------------------------------------------------------
$      IF 'F$LOC("-",P1) .NE. 'F$LEN(P1) THEN GOTO INFO
$!----------------------------------------------
$      DEAS SYS$INPUT       !  Prevent "REPLACED" message
$      ASSI TT: SYS$INPUT   !  Set Editor input from terminal
$      it :== "''P1'"
$      it := "''P1'"
$      FileName := "''SaveFile'"
$      IF it .EQS. "" THEN GOTO Same
$      IF P2 .NES. "" THEN GOTO New
$!---------------------------------------------- Edit Multiple Files
$      IF 'F$LOC(";",it)' .EQ. 'F$LEN(it) THEN it := "''it';"
$      DIRECTORY/COL=1/BRIEF/NOTRAILER/OUT=DIRLIST.JKZ;77 'it'
$      ON ERROR THEN GOTO EOF
$      ON control_Y THEN GOTO EOF
$!--------------------------------------- Get Path Name
$      PathName := ""
$      loc = 'F$LOC("]",it) + 1
$      IF loc .LE. 'F$LEN(it) THEN PathName := 'F$EXT(0,loc,it)
$!---------------------------------------
$      OPEN NAMFILE DIRLIST.JKZ;77
$      READ/END=EOF NAMFILE Line
$      IF "''F$EXTR(2,5,Line)'" .EQS. "No fi" THEN Out " No such files"
$      READ/END=EOF NAMFILE Line
$      READ/END=EOF NAMFILE Line
$READ: READ/END=EOF NAMFILE Line
$      Name := 'F$EXT(0,18,Line)
$      FileName := 'PathName''Name'
$      Out "Editing ", FileName
$      MCR EDI 'FileName'
$      GOTO READ
$EOF:  CLOSE NAMFILE
$      DEL DIRLIST.JKZ;77
$      GOTO SAVE
$!---------------------------------------------- Edit New File
$New:  FileName := 'it'
$!---------------------------------------------- Edit Remembered File
$Same: Out "Editing ", FileName
$      MCR EDI 'FileName'
$!---------------------------------------------- Save File Name
$SAVE: SaveFile :== 'FileName'
$      IF 'F$LOC(";",FileName) .EQ. 'F$LEN(FileName) THEN EXIT
$      len = 'F$LOC(";",FileName)
$      SaveFile :== 'F$EXT(0,len,FileName)
$      EXIT
$!---------------------------------------------- Print Help
$INFO:
$Out "       Edit & Remember Name: SE [file-spec [-NEW]] | -F | -H {'SaveFile'}"
$      IF "''F$EXT(0,2,P1)'" .NES. "-F" THEN fmt 'HelpDir'se.hlp TT:
