$!---------------------------------------------------------------------
$!          NEWS Command -  By Scott B. Sibley   22 Sept 80
$!---------------------------------------------------------------------
$!
$! VAX News Service:  NEWS [topic] | [-INDEX [topic-prefix-list]] |-F|-H
$!
$!     GLOBAL SYMBOLS used:  NewsDir, it
$!     FILES used:  "NewsDir"NEWSINDEX.INF, "NewsDir"help.HLP
$!                  "NewsDir"NEWSHEADER.INC, "NewsDir""it".NEW
$!
$!---------------------------------------------------------------------
$!---------------------------------------------- Process option
$      top1 := ""
$      IndexReq := "NO"
$      pagelen = 22
$      outfile := "TT:"
$      n = 0
$      arg = 0
$Next:    arg = arg + 1
$         it := ""
$         IF arg .EQ. 1 THEN it := "''P1'"
$         IF arg .EQ. 2 THEN it := "''P2'"
$         IF arg .EQ. 3 THEN it := "''P3'"
$         IF arg .EQ. 4 THEN it := "''P4'"
$         IF arg .EQ. 5 THEN it := "''P5'"
$         IF it .EQS. "" THEN GOTO DelSym
$         IF "''F$EXT(0,1,it)'" .EQS. "-" THEN GOTO TryOpt
$            n = n + 1
$            top'n' := "''it'"
$            GOTO Next
$TryOpt:  opt := 'F$EXT(0,2,it)'
$         IF opt .EQS. "-F" .OR. opt .EQS. "-H" THEN GOTO INFO
$         last = "''F$LOC(":",it)'" + 1
$         IF opt .EQS. "-P" THEN pagelen = "''F$EXT(last,4,it)'"
$         IF opt .EQS. "-I" THEN IndexReq := "YES"
$         IF opt .EQS. "-O" THEN outfile := "''F$EXT(last,99,it)'"
$         IF opt.EQS."-P".OR.opt.EQS."-I".OR.opt.EQS."-O" THEN GOTO Next
$            Out "       NEWS - Invalid Option:  ''it'"
$            EXIT
$DelSym:DELETE/SYMBOL/LOC arg
$!---------------------------------------------- Check Options
$      IF outfile .EQS. "" THEN outfile := "NEWS.LIS"
$      OPEN/WRIT/ERR=NoOut NEWSFILE 'outfile'
$      CLOSE NEWSFILE
$      GOTO OutOk
$NoOut:   Out "       NEWS - Cannot open Output file:  ",outfile
$         EXIT
$OutOK:
$!----------------------------------------------
$      IF IndexReq .EQS. "YES" THEN GOTO ListIndex
$      it := "''top1'"
$      IF it .EQS. "" THEN INQ/L it "Enter News Topic"
$      IF it .EQS. "" THEN EXIT
$      IF it .EQS. "HELP" THEN opt := "-H"
$      IF it .EQS. "HELP" THEN GOTO INFO
$      ON control_Y THEN GOTO CloseIndex
$      OPEN INDEX 'NewsDir'NEWSINDEX.INF
$ReadIndex:
$      READ/END=NoNews INDEX Line
$      IF "''F$EXT(0,1,Line)'" .EQS. ")" THEN GOTO ReadIndex
$      IF "''F$EXT(11,1,Line)'" .EQS. "" THEN GOTO ReadIndex
$      IF "''F$EXT(2,9,Line)" .EQS. it THEN GOTO PAGE
$      GOTO ReadIndex
$NoNews:
$      Out "       No News for Topic: ", it
$CloseIndex:
$      CLOSE INDEX
$      EXIT
$PAGE: CLOSE INDEX
$      SaveFile := "''NewsDir'''it'.NEW"
$      PG -P:'pagelen' -READ
$      EXIT
$ListIndex:
$      tim := "''F$TIM()'"
$      date := "''F$EXT(0,1,tim)' ''F$EXT(2,3,tim)' ''F$EXT(8,2,tim)'"
$      IF "''F$EXT(2,1,tim)'" .EQS. "-" THEN -
          date := "''F$EXT(0,2,tim)' ''F$EXT(3,3,tim)' ''F$EXT(9,2,tim)'"
$      Out "                VAX News Topics   ", date
$      n = pagelen - 1
$  INFO -I:'NewsDir'NEWSINDEX.INF -P:'n' -O:'outfile' 'top1' 'top2' 'top3'
$      EXIT
$INFO: Out "       VAX News Service:  NEWS [topic] | [-INDEX ",-
                  "[topic-prefix-list]] |-F|-H"
$      IF it .NES. "-F" THEN fmt 'NewsDir'help.HLP TT:
