(* this program demonstrates calling of VPLOT routines by a VAX-11
PASCAL program.  note that EVERY routine called MUST be declared; this
makes things somewhat more difficult than with BASIC programs.  *)

program golfball;	(* no input/output proper *)

const delta=0.17952;
var i,i0,i1: integer;
x,y: array [0..35] of real;
theta: real;

procedure plots (xlong, ywide: real; outdev: integer); fortran;
procedure plot (xpage, ypage: real; pen: integer); fortran;
procedure symbol (xpage, ypage, height: real; %stdescr text: packed
		array[integer] of char; angle: real; nchar: integer);
		fortran;
begin
	plots (10.0,8.5,3);
	for i0:=1 to 35 do
		begin
		theta:=i0*delta;
		x[i0]:=3.5*cos(theta)+4.0;
		y[i0]:=3.5*sin(theta)+4.0;
		end;
	for i0:=1 to 34 do
		begin
		i1:=i0+1;
		for i:=i1 to 35 do
			begin
			plot(x[i0],y[i0],3);
			plot(x[i],y[i],2);
			end;
		end;
	symbol(8.5,1.0,0.3,'This design plotted',90.0,1);
	symbol(9.3,1.0,0.3,'from VAX-11 PASCAL.',90.0,1);
	plot(0.0,0.0,999);
end.
(* n.b.: this program generates five "Nonstandard PASCAL" warnings. *)
