C NETMAPCMD.FOR
C
	SUBROUTINE START
	INCLUDE 'NETMIN/NOLIST'
	LOGICAL*1 INBUF(256)
	LOGICAL*1 HLPFLG,TRANS
	LOGICAL*1 ZERO
	LOGICAL*1 VERBUF(25)
	DATA ZERO/'0'/
	DATA OLDNAM/'N','E','T','M','A','P',122*0/
	DATA SAVNAM/'N','E','T','M','A','P','.','D','A','T',118*0/
C
C	Read data supplied with foreign command interface (if any)
C
C	Valid qualifiers:
C
C	/VT52		Use VT52 escape sequences if terminal is a VT52
C	/OLD=file	Read old data from NETMAP.DAT or logical name NETMAP
C	/SAVE=file	Save node info in  NETMAP.DAT
C	/LIST		display node list	(OPT=1)
C	/TREE		display node tree	(OPT=2)
C	/MAP		display node map	(OPT=4)
C	/HELP		display help information
C	/NOTE		note name discrepancies
C	/GO		ignored (use to bypass help prompt)
C	/DEBUG		enable debugging code
C	/WIDTH=n	specify output width
C	/PAGSIZ=n	specify output page size
C	/BASE=node	specify base node
C	/ZIGZAG		allow more diagonal connections
C	/LINKS=n	number of logical links to use
C	/FAST		use fast node layout algorithm
CC	/TEK		draw map on tektronix scope
C	/GIGI		terminal is a GIGI
CC	/VS11		terminal is a VS11
C	/MAJOR		omit end nodes
C	/SCALE=n	specify a scale factor (1-3)
C	/HW=n		specify horizontal width of box in characters
C	/HS=n		specify horizontal space between boxes in characters
C	/VH=n		specify vertical height of box in characters
C	/VS=n		specify vertical space between boxes in characters
C	/ETHER		report on ethernet lines
C
C	Get date and time of day.
C
	CALL DATE(DATIME)
	CALL TIME(DATIME(11))
	DATIME(10)=' '
	DO 1 J=16,20
1	DATIME(J)=' '
	DO 1221 J=1,6
1221	BASE(J)=' '
	CALL GETARG(INBUF,GETSIZ)
C
C	Convert the command to all uppercase.
C
	TRANS='A'-'a'
	DO 209 I=1,GETSIZ
	IF (INBUF(I).GE.'a' .AND. INBUF(I).LE.'z')
     1	INBUF(I)=INBUF(I)+TRANS
209	CONTINUE
	OPT=0
	MODE=0
	ECOUNT=0
	DEBUG=.FALSE.
	ETHER=.FALSE.
	HLPFLG=.FALSE.
	LINEAR=.TRUE.
	NOTEE=.FALSE.
	MASTER=.FALSE.
	FAST=.FALSE.
	EGUCAD=.FALSE.
	TEK=.FALSE.
	CALCOM=.FALSE.
	LINKS=DEFLNK
	ENDNOD=.TRUE.
	GIGI=.FALSE.
	VS11=.FALSE.
	SCALE=1
C
	BOXW=8
	BOXH=3
	HORSP=1
	VERSP=1
C
C	Valid MODES:
C
C	0	Output VT100 escape sequences if terminal is a VT100
C	1	Output VT52 escape sequences if terminal is a VT100
C	-1	Do not output escape sequences or use graphics mode
C
	DATMOD=0
C
C	Valid data modes:
C
C	0	search around netword to get data
C	1	read data from logical unit 5 (FOR005)
C
	IF (GETSIZ.EQ.0) GOTO 50
	INBUF(GETSIZ+1)=0
	PTR=1
C
C	Look for a qualifier.
C
2	IF (INBUF(PTR).NE.' ') GOTO 3
	PTR=PTR+1
	GOTO 2
3	IF (INBUF(PTR).EQ.0) GOTO 50
	IF (INBUF(PTR).EQ.'/') GOTO 4
C
C	Assume user has entered a location
C
	IF (LOCSIZ.NE.0) GOTO 299
	DO 609 J=1,6
	IF (INBUF(PTR).EQ.'/' .OR. INBUF(PTR).EQ.' '
     X	.OR. INBUF(PTR).EQ.0) GOTO 605
	LOCNAM(J)=INBUF(PTR)
	LOCSIZ=J
	PTR=PTR+1
609	CONTINUE
	IF (INBUF(PTR).EQ.'/' .OR. INBUF(PTR).EQ.' '
     X	.OR. INBUF(PTR).EQ.0) GOTO 605
299	TYPE 300
300	FORMAT(' Syntax error in command line.')
	CALL EXIT
605	MASTER=.TRUE.
	GOTO 2
4	PTR=PTR+1
	IF (INBUF(PTR).EQ.'V' .AND. INBUF(PTR+1).EQ.'T' .AND.
     1	INBUF(PTR+2).EQ.'5' .AND. INBUF(PTR+3).EQ.'2') GOTO 14
	IF (INBUF(PTR).EQ.'O' .AND. INBUF(PTR+1).EQ.'L' .AND.
     1	INBUF(PTR+2).EQ.'D') GOTO 15
	IF (INBUF(PTR).EQ.'L' .AND. INBUF(PTR+1).EQ.'I' .AND.
     1	INBUF(PTR+2).EQ.'S' .AND. INBUF(PTR+3).EQ.'T') GOTO 13
	IF (INBUF(PTR).EQ.'T' .AND. INBUF(PTR+1).EQ.'R' .AND.
     1	INBUF(PTR+2).EQ.'E' .AND. INBUF(PTR+3).EQ.'E') GOTO 16
	IF (INBUF(PTR).EQ.'M' .AND. INBUF(PTR+1).EQ.'A' .AND.
     1	INBUF(PTR+2).EQ.'P') GOTO 17
	IF (INBUF(PTR).EQ.'S' .AND. INBUF(PTR+1).EQ.'A' .AND.
     1	INBUF(PTR+2).EQ.'V' .AND. INBUF(PTR+3).EQ.'E') GOTO 18
	IF (INBUF(PTR).EQ.'H' .AND. INBUF(PTR+1).EQ.'E' .AND.
     1	INBUF(PTR+2).EQ.'L' .AND. INBUF(PTR+3).EQ.'P') GOTO 19
	IF (INBUF(PTR).EQ.'N' .AND. INBUF(PTR+1).EQ.'O' .AND.
     1	INBUF(PTR+2).EQ.'T' .AND. INBUF(PTR+3).EQ.'E') GOTO 12
	IF (INBUF(PTR).EQ.'D' .AND. INBUF(PTR+1).EQ.'E' .AND.
     1	INBUF(PTR+2).EQ.'B' .AND. INBUF(PTR+3).EQ.'U' .AND.
     2	INBUF(PTR+4).EQ.'G') GOTO 11
	IF (INBUF(PTR).EQ.'W' .AND. INBUF(PTR+1).EQ.'I' .AND.
     1	INBUF(PTR+2).EQ.'D' .AND. INBUF(PTR+3).EQ.'T' .AND.
     2	INBUF(PTR+4).EQ.'H' .AND. INBUF(PTR+5).EQ.'=') GOTO 20
	IF (INBUF(PTR).EQ.'P' .AND. INBUF(PTR+1).EQ.'A' .AND.
     1	INBUF(PTR+2).EQ.'G' .AND. INBUF(PTR+3).EQ.'S' .AND.
     2	INBUF(PTR+4).EQ.'I' .AND. INBUF(PTR+5).EQ.'Z' .AND.
     3	INBUF(PTR+6).EQ.'=') GOTO 21
	IF (INBUF(PTR).EQ.'B' .AND. INBUF(PTR+1).EQ.'A' .AND.
     1	INBUF(PTR+2).EQ.'S' .AND. INBUF(PTR+3).EQ.'E') GOTO 22
	IF (INBUF(PTR).EQ.'Z' .AND. INBUF(PTR+1).EQ.'I' .AND.
     1	INBUF(PTR+2).EQ.'G' .AND. INBUF(PTR+3).EQ.'Z'   .AND.
     2	INBUF(PTR+4).EQ.'A' .AND. INBUF(PTR+5).EQ.'G') GOTO 23
	IF (INBUF(PTR).EQ.'G' .AND. INBUF(PTR+1).EQ.'O') GOTO 193
	IF (INBUF(PTR).EQ.'F' .AND. INBUF(PTR+1).EQ.'A' .AND.
     1	INBUF(PTR+2).EQ.'S' .AND. INBUF(PTR+3).EQ.'T') GOTO 461
	IF (INBUF(PTR).EQ.'L' .AND. INBUF(PTR+1).EQ.'I' .AND.
     1	INBUF(PTR+2).EQ.'N' .AND. INBUF(PTR+3).EQ.'K' .AND.
     2	INBUF(PTR+4).EQ.'S' .AND. INBUF(PTR+5).EQ.'=') GOTO 462
	IF (INBUF(PTR).EQ.'T' .AND. INBUF(PTR+1).EQ.'E' .AND.
     1	INBUF(PTR+2).EQ.'K') GOTO 463
	IF (INBUF(PTR).EQ.'M' .AND. INBUF(PTR+1).EQ.'A' .AND.
     1	INBUF(PTR+2).EQ.'J' .AND. INBUF(PTR+3).EQ.'O' .AND.
     2	INBUF(PTR+4).EQ.'R') GOTO 464
	IF (INBUF(PTR).EQ.'G' .AND. INBUF(PTR+1).EQ.'I' .AND.
     1	INBUF(PTR+2).EQ.'G' .AND. INBUF(PTR+3).EQ.'I') GOTO 465
	IF (INBUF(PTR).EQ.'V' .AND. INBUF(PTR+1).EQ.'S' .AND.
     1	INBUF(PTR+2).EQ.'1' .AND. INBUF(PTR+3).EQ.'1') GOTO 466
	IF (INBUF(PTR).EQ.'S' .AND. INBUF(PTR+1).EQ.'C' .AND.
     1	INBUF(PTR+2).EQ.'A' .AND. INBUF(PTR+3).EQ.'L' .AND.
     2	INBUF(PTR+4).EQ.'E' .AND. INBUF(PTR+5).EQ.'=') GOTO 467
	IF (INBUF(PTR).EQ.'H' .AND. INBUF(PTR+1).EQ.'W' .AND.
     1	INBUF(PTR+2).EQ.'=') GOTO 471
	IF (INBUF(PTR).EQ.'H' .AND. INBUF(PTR+1).EQ.'S' .AND.
     1	INBUF(PTR+2).EQ.'=') GOTO 472
	IF (INBUF(PTR).EQ.'V' .AND. INBUF(PTR+1).EQ.'H' .AND.
     1	INBUF(PTR+2).EQ.'=') GOTO 473
	IF (INBUF(PTR).EQ.'V' .AND. INBUF(PTR+1).EQ.'S' .AND.
     1	INBUF(PTR+2).EQ.'=') GOTO 474
	IF (INBUF(PTR).EQ.'E' .AND. INBUF(PTR+1).EQ.'T' .AND.
     1	INBUF(PTR+2).EQ.'H' .AND. INBUF(PTR+3).EQ.'E' .AND.
     2	INBUF(PTR+4).EQ.'R') GOTO 475
	IF (INBUF(PTR).EQ.'V') GOTO 141
	IF (INBUF(PTR).EQ.'H') GOTO 191
	IF (INBUF(PTR).EQ.'O') GOTO 151
	IF (INBUF(PTR).EQ.'L' .AND. INBUF(PTR+1).EQ.'=') GOTO 4621
	IF (INBUF(PTR).EQ.'L') GOTO 131
	IF (INBUF(PTR).EQ.'T') GOTO 161
	IF (INBUF(PTR).EQ.'M') GOTO 171
	IF (INBUF(PTR).EQ.'S') GOTO 181
	IF (INBUF(PTR).EQ.'N') GOTO 121
	IF (INBUF(PTR).EQ.'D') GOTO 111
	IF (INBUF(PTR).EQ.'B') GOTO 221
	IF (INBUF(PTR).EQ.'Z') GOTO 231
	IF (INBUF(PTR).EQ.'G') GOTO 1931
	IF (INBUF(PTR).EQ.'F') GOTO 4611
	IF (INBUF(PTR).EQ.'E') GOTO 4751
	IF (INBUF(PTR).EQ.'W' .AND. INBUF(PTR+1).EQ.'=') GOTO 201
	IF (INBUF(PTR).EQ.'P' .AND. INBUF(PTR+1).EQ.'=') GOTO 211
	TYPE 301
301	FORMAT(' Unknown qualifier.')
	CALL EXIT
C
C	/LIST
C
13	PTR=PTR+3
131	PTR=PTR+1
	OPT=OPT .OR. 1
	GOTO 2
C
C	/VT52
C
14	PTR=PTR+3
141	PTR=PTR+1
	MODE=1
	GOTO 2
C
C	/OLD[=file]
C
15	PTR=PTR+2
151	PTR=PTR+1
	DATMOD=1
	IF (INBUF(PTR).NE.'=') GOTO 2
	OPTR=1
	DO 152 J=1,255
	PTR=PTR+1
	IF (INBUF(PTR).EQ.'/' .OR. INBUF(PTR).EQ.' ' .OR.
     1	INBUF(PTR).EQ.0) GOTO 153
	OLDNAM(OPTR)=INBUF(PTR)
	OPTR=OPTR+1
152	CONTINUE
153	OLDNAM(OPTR)=0
	GOTO 2
C
C	/TREE
C
16	PTR=PTR+3
161	PTR=PTR+1
	OPT=OPT .OR. 2
	GOTO 2
C
C	/MAP
C
17	PTR=PTR+2
171	PTR=PTR+1
	OPT=OPT .OR. 4
	GOTO 2
C
C	/SAVE[=file]
C
18	PTR=PTR+3
181	PTR=PTR+1
	SAVFLG=.TRUE.
	IF (INBUF(PTR).NE.'=') GOTO 2
	SPTR=1
	DO 182 J=1,255
	PTR=PTR+1
	IF (INBUF(PTR).EQ.'/' .OR. INBUF(PTR).EQ.' ' .OR.
     1	INBUF(PTR).EQ.0) GOTO 183
	SAVNAM(SPTR)=INBUF(PTR)
	SPTR=SPTR+1
182	CONTINUE
183	SAVNAM(SPTR)=0
	GOTO 2
C
C	/HELP or /H
C
19	PTR=PTR+3
191	PTR=PTR+1
	HLPFLG=.TRUE.
	GOTO 2
C
C	/DEBUG
C
11	PTR=PTR+4
111	PTR=PTR+1
	DEBUG=.TRUE.
	GOTO 2
C
C	/GO
C
193	PTR=PTR+1
1931	PTR=PTR+1
	GOTO 2
C
C	/NOTE
C
12	PTR=PTR+3
121	PTR=PTR+1
	NOTEE=.TRUE.
	GOTO 2
C
C	/WIDTH=n
C
20	PTR=PTR+4
201	PTR=PTR+1
	HWIDTH=0
	DO 202 J=1,50
	PTR=PTR+1
	IF (INBUF(PTR).LT.'0' .OR. INBUF(PTR).GT.'9') GOTO 203
	DIGIT=INBUF(PTR)-ZERO
	HWIDTH=HWIDTH*10+DIGIT
202	CONTINUE
203	IF (HWIDTH.EQ.0) TYPE 185
185	FORMAT(' Invalid WIDTH specification ignored.')
	GOTO 2
C
C	/LINKS=n
C
462	PTR=PTR+4
4621	PTR=PTR+1
	LINKSY=0
	DO 4602 J=1,50
	PTR=PTR+1
	IF (INBUF(PTR).LT.'0' .OR. INBUF(PTR).GT.'9') GOTO 4603
	DIGIT=INBUF(PTR)-ZERO
	LINKSY=LINKSY*10+DIGIT
4602	CONTINUE
4603	IF (LINKSY.EQ.0 .OR. LINKSY.GT.PARMAX) TYPE 4604
4604	FORMAT(' Invalid number of links (ignored).')
	GOTO 2
C
C	/FAST
C
461	PTR=PTR+3
4611	PTR=PTR+1
	FAST=.TRUE.
	GOTO 2
C
C	/TEK
C
463	PTR=PTR+2
4631	PTR=PTR+1
	EGUCAD=.TRUE.
	TEK=.TRUE.
	GOTO 2
C
C	/MAJOR
C
464	PTR=PTR+4
	PTR=PTR+1
	ENDNOD=.FALSE.
	GOTO 2
C
C	/GIGI
C
465	PTR=PTR+3
	PTR=PTR+1
	GIGI=.TRUE.
	GOTO 2
C
C	/VS11
C
466	PTR=PTR+3
	PTR=PTR+1
	VS11=.TRUE.
	EGUCAD=.TRUE.
	GOTO 2
C
C	/SCALE=n
C
467	PTR=PTR+4
	PTR=PTR+1
	SCALE=0
	DO 4661 J=1,50
	PTR=PTR+1
	IF (INBUF(PTR).LT.'0' .OR. INBUF(PTR).GT.'9') GOTO 4662
	DIGIT=INBUF(PTR)-ZERO
	SCALE=SCALE*10+DIGIT
4661	CONTINUE
4662	IF (SCALE.LT.1) THEN
		SCALE=1
		TYPE 4663
4663		FORMAT(' SCALE of 1 assumed.'/)
	ENDIF
	IF (SCALE.GT.3) THEN
		TYPE 4664, SCALE
		SCALE=3
4664		FORMAT(' SCALE of ',I6,' is too large, SCALE set to 3'/)
	ENDIF
	GOTO 2
C
C	/HW=n
C
471	PTR=PTR+1
	PTR=PTR+1
	BOXW=0
	DO 4711 J=1,50
	PTR=PTR+1
	IF (INBUF(PTR).LT.'0' .OR. INBUF(PTR).GT.'9') GOTO 4712
	DIGIT=INBUF(PTR)-ZERO
	BOXW=BOXW*10+DIGIT
4711	CONTINUE
4712	IF (BOXW.LT.5) THEN
		TYPE 4713, BOXW
		BOXW=8
4713		FORMAT(' Box width of ',I2,' is too small, 8 assumed.'/)
	ENDIF
	IF (BOXW.GT.12) THEN
		TYPE 4714, BOXW
		BOXW=12
4714		FORMAT(' Box width of ',I5,' is too large, 12 assumed'/)
	ENDIF
	GOTO 2
C
C	/HS=n
C
472	PTR=PTR+1
	PTR=PTR+1
	HORSP=0
	DO 4721 J=1,50
	PTR=PTR+1
	IF (INBUF(PTR).LT.'0' .OR. INBUF(PTR).GT.'9') GOTO 4722
	DIGIT=INBUF(PTR)-ZERO
	HORSP=HORSP*10+DIGIT
4721	CONTINUE
4722	IF (HORSP.LT.1) THEN
		TYPE 4723
		HORSP=1
4723		FORMAT(' Horizontal space set to 1'/)
	ENDIF
	IF (HORSP.GT.5) THEN
		TYPE 4724, HORSP
		HORSP=5
4724		FORMAT(' Horizontal space of ',I5,' is too large, 5 assumed'/)
	ENDIF
	GOTO 2
C
C	/VH=n
C
473	PTR=PTR+1
	PTR=PTR+1
	BOXH=0
	DO 4731 J=1,50
	PTR=PTR+1
	IF (INBUF(PTR).LT.'0' .OR. INBUF(PTR).GT.'9') GOTO 4732
	DIGIT=INBUF(PTR)-ZERO
	BOXH=BOXH*10+DIGIT
4731	CONTINUE
4732	IF (BOXH.LT.3) THEN
		TYPE 4733, BOXH
		BOXW=3
4733		FORMAT(' Box height of ',I2,' is too small, 3 assumed.'/)
	ENDIF
	IF (BOXH.GT.9) THEN
		TYPE 4734, BOXH
		BOXH=9
4734		FORMAT(' Box height of ',I5,' is too large, 9 assumed'/)
	ENDIF
	GOTO 2
C
C	/VS=n
C
474	PTR=PTR+1
	PTR=PTR+1
	VERSP=0
	DO 4741 J=1,50
	PTR=PTR+1
	IF (INBUF(PTR).LT.'0' .OR. INBUF(PTR).GT.'9') GOTO 4742
	DIGIT=INBUF(PTR)-ZERO
	VERSP=VERSP*10+DIGIT
4741	CONTINUE
4742	IF (VERSP.LT.1) THEN
		TYPE 4743
		VERSP=1
4743		FORMAT(' Vertical space set to 1'/)
	ENDIF
	IF (VERSP.GT.5) THEN
		TYPE 4744, VERSP
		VERSP=5
4744		FORMAT(' Vertical space of ',I5,' is too large, 5 assumed'/)
	ENDIF
	GOTO 2
C
C	/ETHER
C
475	PTR=PTR+4
4751	PTR=PTR+1
	ETHER=.TRUE.
	GOTO 2
C
C	/PAGSIZ=n
C
21	PTR=PTR+5
211	PTR=PTR+1
	HPAGE=0
	DO 212 J=1,50
	PTR=PTR+1
	IF (INBUF(PTR).LT.'0' .OR. INBUF(PTR).GT.'9') GOTO 213
	DIGIT=INBUF(PTR)-ZERO
	HPAGE=HPAGE*10+DIGIT
212	CONTINUE
213	IF (HPAGE.EQ.0) TYPE 186
186	FORMAT(' Invalid PAGSIZ specification ignored.')
	GOTO 2
C
C	/BASE=node
C
22	PTR=PTR+3
221	PTR=PTR+1
	IF (INBUF(PTR).NE.'=') GOTO 299
	DO 222 J=1,7
	PTR=PTR+1
	IF (INBUF(PTR).EQ.'/' .OR. INBUF(PTR).EQ.' ' .OR.
     1	INBUF(PTR).EQ.0) GOTO 223
	BASE(J)=INBUF(PTR)
222	CONTINUE
	TYPE 224
224	FORMAT(' Base node name too large.')
	CALL EXIT
225	TYPE 226
226	FORMAT(' No base node name specified.')
	CALL EXIT
223	IF (J.EQ.1) GOTO 225
	GOTO 2
C
C	/ZIGZAG
C
23	PTR=PTR+5
231	PTR=PTR+1
	LINEAR=.FALSE.
	GOTO 2
C
C	Bits in option word (OPT):
C
C	1	display node list	=> set LIST
C	2	display node tree	=> set TREE
C	4	display node map	=> set MAP
C
50	IF (OPT.EQ.0) OPT=7
	LIST=.FALSE.
	TREE=.FALSE.
	MAP=.FALSE.
	IF ((OPT.AND.1).EQ.1) LIST=.TRUE.
	IF ((OPT.AND.2).EQ.2) TREE=.TRUE.
	IF ((OPT.AND.4).EQ.4)  MAP=.TRUE.
	IF (HLPFLG) GOTO 60
C
C	Find out whether or not we are on a scope terminal.
C
	CALL TRMINF(DEVTYP,WIDTH,PAGSIZ)
	CALL VERNUM(VERBUF,VERSIZ)
	TYPE 55, (VERBUF(J),J=1,VERSIZ)
55	FORMAT(' NETMAP V3.04   (',<VERSIZ>A1,')')
C
C	Device Types of interest to us:
C
C	Code	Type	Action
C
C	64	VT52	Use VT52 escape sequences if MODE=1
C
C	96	VT100	Use VT100 escape sequences if MODE=0
C
C	PAGSIZ may range from 11 to 44 (3 rows to 11 rows).
C
C	WIDTH may range from 26 to 132 (3 columns to 14 columns).
C
	IF (HWIDTH.NE. 0) WIDTH=HWIDTH
	IF (HPAGE .NE. 0) PAGSIZ=HPAGE
	IF (GIGI) PAGSIZ=40
	IF (GIGI .AND. ETHER) PAGSIZ=38
	IF (PAGSIZ.EQ. 0) PAGSIZ=MAXH
	IF (PAGSIZ.LT.11) GOTO 1810
	IF (PAGSIZ.GT.MAXH) PAGSIZ=MAXH
	IF (ETHER) PAGSIZ=PAGSIZ-2
	IF (GIGI) WIDTH=64
	IF (WIDTH .EQ. 0) WIDTH=MAXW-1
	IF (WIDTH .LT.26) GOTO 1820
	IF (WIDTH .GT.MAXW-1)WIDTH=MAXW-1
	IF (LINKSY.GT.0)  LINKS=LINKSY
	IF (DEVTYP.EQ.64 .OR. DEVTYP.EQ.96) GOTO 400
	IF (HORSP.EQ.1 .AND. VERSP.EQ.1) THEN
		HORSP=2
		VERSP=2
	ENDIF
400	IF (.NOT.GIGI) GOTO 401
	IF (HORSP.NE.VERSP) THEN
		HORSP=MIN(HORSP,VERSP)
		VERSP=MIN(HORSP,VERSP)
	ENDIF
	IF (BOXH.EQ.3 .AND. BOXW.EQ.8) THEN
		BOXH=3
		BOXW=5
	ENDIF
	DEVTYP=96
	MODE=0
401	BOXW=BOXW*SCALE
	BOXH=BOXH*SCALE
	HORSP=HORSP*SCALE
	VERSP=VERSP*SCALE
	GRIDW=BOXW+HORSP
	GRIDH=BOXH+VERSP
	GRIDR=(PAGSIZ+VERSP)/GRIDH
	TMARG=MOD(PAGSIZ+VERSP,GRIDH)/2
	GRIDC=(WIDTH+HORSP)/GRIDW
	LMARG=MOD(WIDTH+HORSP,GRIDW)/2
	IF (DEVTYP.EQ.96 .AND. MODE.EQ.0) RETURN
	IF (DEVTYP.EQ.64 .AND. MODE.EQ.1) RETURN
	MODE=-1
	DASH='-'
	CONXTR(1,1)='-'
	CONXTR(2,1)='-'
	CONXTR(3,1)='-'
	CONXTR(1,2)=' '
	CONXTR(2,2)='|'
	CONXTR(3,2)='-'
	CONXTR(1,3)=' '
	CONXTR(2,3)='`'
	CONXTR(3,3)='-'
	CONXTR(1,5)='-'
	CONXTR(2,5)='-'
	CONXTR(3,5)='-'
	CONXTR(1,6)=' '
	CONXTR(2,6)='|'
	CONXTR(3,6)=' '
	UL='+'
	UR='+'
	LL='+'
	LR='+'
	HB='-'
	VB='|'
	TL='|'
	TR='|'
	TU='+'
	TD='+'
	RETURN
C
C	Width or height too small
C
1810	TYPE 1830
	CALL EXIT
1820	TYPE 1840
	CALL EXIT
1830	FORMAT(' Come on now - we need at least 11 lines.')
1840	FORMAT(' Come on now - we need a width of at least 26.')
C
C	/HELP
C
60	TYPE 601
	CALL HELP
	TYPE 602
601	FORMAT(' NETMAP draws a picture of the network topology.'/)
602	FORMAT(/' Qualifiers:     (may be abbreviated to first character)'//
     9		'     /BASE=node  base tree at specified node'/
     Y		'     /ETHER      report on ethernet lines'/
     X		'     /FAST       use fast node layout algorithm'/
     Z		'     /GIGI       terminal is a GIGI'/
     A		'     /HELP       display help frame only'/
     X		'     /LINKS=n    number of logical links to use',
     X		                ' (default=5)'/
     B		'     /LIST       display node list only'/
     X		'     /MAJOR      omit end nodes'/
     C		'     /MAP        display node map  only'/
     D		'     /NOTE       note name discrepancies'/
     E		'     /OLD=file   use old info from specified file',
     F				' (default=NETMAP)'/
     G		'     /PAGSIZ=n   specify page size',
     H				' (default based on output device)'/
     I		'     /SAVE=file  save node info into specified file',
     J				' (default=NETMAP.DAT)'/
     K		'     /SCALE=n    specify a scale factor (1-4)'/
     L		'     /TREE       display node tree only'/
     M		'     /VT52       use VT52 escape sequences on VT100'/
     N		'     /WIDTH=n    specify output width',
     O				' (default based on output device)'/
     P		'     /ZIGZAG     Tradeoff linearity for openness'//
     Q		'                 Send bug reports to SCRIBE::STAN.')
	CALL EXIT
	END
