C
C	V1.06
C
C	BUFFER IS ZEROED BEFORE A READ
C
	SUBROUTINE GETARG(ARGBUF,ARGSIZ)
	IMPLICIT INTEGER*2 (A-Z)
	LOGICAL*1 ARGBUF(255)
	INTEGER*4 GETDSC(2)
	GETDSC(1)=254
	GETDSC(2)=%LOC(ARGBUF)
	CALL LIB$GET_FOREIGN(GETDSC,'Type /H for HELP: ',ARGSIZ)
	RETURN
	END
	SUBROUTINE TRMINF(DEVTYP,WIDTH,PAGSIZ)
	IMPLICIT INTEGER*2 (A-Z)
	CALL LIB$SCREEN_INFO(FLAGS,DEVTYP,WIDTH,PAGSIZ)
	RETURN
	END
	SUBROUTINE VERNUM(VERBUF,VERSIZ)
	IMPLICIT INTEGER*2 (A-Z)
	LOGICAL*1 VERBUF(25),VMSMSG(22)
	DATA VMSMSG/'S','y','s','t','e','m',' ','i','n',
     1	't','e','r','f','a','c','e',' ','V','1','.','0','6'/
	VERSIZ=22
	DO 2 I=1,VERSIZ
2	VERBUF(I)=VMSMSG(I)
	RETURN
	END
	SUBROUTINE HELP
	IMPLICIT INTEGER*2 (A-Z)
	TYPE 100
100	FORMAT(' To run NETMAP, define NETMAP:==$[dir]dev:NETMAP.EXE/GO',
     1	' and then type NETMAP.')
	RETURN
	END
	SUBROUTINE GETNAM(OURNAM,OURSIZ)
	IMPLICIT INTEGER*2 (A-Z)
	LOGICAL*1 OURNAM(6),TNAME(255)
	INTEGER*4 SYS$TRNLOG,STATUS
	EXTERNAL SS$_NOTRAN
	INTEGER*4 NAMDSC(2)
C
C	Translate the logical name NET$NODE to find out what
C	node we are on.
C
	DO 10 I=1,6
10	OURNAM(I)=' '
	NAMDSC(1)=255
	NAMDSC(2)=%LOC(TNAME)
	STATUS=SYS$TRNLOG('SYS$NODE',RSLLEN,NAMDSC,,,)
	IF (STATUS.EQ.%LOC(SS$_NOTRAN)) GOTO 600
	IF (.NOT. STATUS) CALL ERRMSG(STATUS)
	START=1
	IF (TNAME(1).EQ.'_') START=2
	DO 2 PTR=1,RSLLEN
	IF (TNAME(PTR).EQ.':') GOTO 3
2	CONTINUE
	GOTO 600
3	IF (PTR.NE.RSLLEN-1) GOTO 600
	IF (TNAME(RSLLEN).NE.':') GOTO 600
	OURSIZ=PTR-START
	IF (OURSIZ.GT.6) GOTO 600
	OURSIZ=0
	DO 4 I=START,PTR-1
	OURSIZ=OURSIZ+1
	OURNAM(OURSIZ)=TNAME(I)
4	CONTINUE
	RETURN
600	OURSIZ=1
	OURNAM(1)='0'
	RETURN
	END
	SUBROUTINE GETCHN(CHANEL)
	IMPLICIT INTEGER*2 (A-Z)
	INTEGER*4 SYS$ASSIGN,STATUS
	STATUS=SYS$ASSIGN('NET0:',CHANEL,,)
	IF (.NOT. STATUS) CALL LIB$SIGNAL(%VAL(STATUS))
	RETURN
	END
	SUBROUTINE DETCHN(CHANEL)
	IMPLICIT INTEGER*2 (A-Z)
C
C	No error message if the deassign fails.
C
	CALL SYS$DASSGN(%VAL(CHANEL))
	RETURN
	END
	SUBROUTINE ERRMSG(STATUS)
	IMPLICIT INTEGER*2 (A-Z)
	INTEGER*4 STATUS
	CALL LIB$SIGNAL(%VAL(STATUS))
	RETURN
	END
	LOGICAL FUNCTION QLINK
     1	(EVENT,CHANEL,NODNBR,OBJTYP,OPTDAT,OPTSIZ,STATUS)
C
C	EVENT	Event number to be associated with request
C	CHANEL	I/O channel number
C	NODNBR	Node number of node to connect to
C	OBJTYP	Object type to connect to (always 19 for now).
C	OPTDAT	Optional data
C	OPTSIZ	Number of bytes of optional data
C	STATUS	Returned status
C
	IMPLICIT INTEGER*2(A-Z)
	INTEGER*2 EVENT,CHANEL,NODNBR,OBJTYP,OPTSIZ
	LOGICAL*1 OPTDAT(16)
	INTEGER*4 STATUS
	LOGICAL*1 NCB(30)
	LOGICAL*1 X,Y,Z
	INTEGER*4 SYS$QIO
	EXTERNAL IO$_ACCESS
	INTEGER*2 IOSB(4,15)
	COMMON /SBLK/ IOSB
	INTEGER*4 NCBDSC(2)
C
C	Convert the node number to a 3-character ASCII string.
C
	X=NODNBR/100
	XX=X
	TMP=NODNBR-100*XX
	Y=TMP/10
	Z=TMP-10*Y
C
C	Create the network control block.
C
	NCB( 1)=X+'0'
	NCB( 2)=Y+'0'
	NCB( 3)=Z+'0'
	NCB( 4)=':'
	NCB( 5)=':'
	NCB( 6)='"'
	NCB( 7)='1'	! CONVERT OBJTYP ***
	NCB( 8)='9'
	NCB( 9)='='
	NCB(10)='/'
	NCB(11)=0
	NCB(12)=0
	NCB(13)=OPTSIZ
	DO 2 I=1,16
2	NCB(13+I)=OPTDAT(I)
	NCB(30)='"'
	NCBDSC(1)=30
	NCBDSC(2)=%LOC(NCB)
	STATUS=SYS$QIO(%VAL(EVENT),%VAL(CHANEL),%REF(IO$_ACCESS),
     1	IOSB(1,EVENT),,,,NCBDSC,,,,)
	QLINK=STATUS
	RETURN
	END
	LOGICAL FUNCTION QWAIT(EVENT,STATUS)
	IMPLICIT INTEGER*2(A-Z)
	INTEGER*4 SYS$WAITFR
	INTEGER*2 IOSB(4,15)
	COMMON /SBLK/ IOSB
	STATUS=SYS$WAITFR(%VAL(EVENT))
	QWAIT=STATUS
	IF (.NOT. STATUS) RETURN
	STATUS=IOSB(1,EVENT)
	QWAIT=STATUS
	RETURN
	END
	LOGICAL FUNCTION QWRITE(EVENT,CHANEL,MESAGE,MSGSIZ,STATUS)
	IMPLICIT INTEGER*2(A-Z)
	INTEGER*2 EVENT,CHANEL,MSGSIZ
	INTEGER*4 STATUS
	LOGICAL*1 MESAGE(MSGSIZ)
	INTEGER*2 IOSB(4,15)
	COMMON /SBLK/ IOSB
	INTEGER*4 SYS$QIO
	EXTERNAL IO$_WRITEVBLK
	STATUS=SYS$QIO(%VAL(EVENT),%VAL(CHANEL),%REF(IO$_WRITEVBLK),
     1	IOSB(1,EVENT),,,MESAGE,%VAL(MSGSIZ),,,,)
	QWRITE=STATUS
	RETURN
	END
	LOGICAL FUNCTION QREAD(EVENT,CHANEL,REPBUF,REPSIZ,STATUS)
	IMPLICIT INTEGER*2(A-Z)
	INTEGER*2 EVENT,CHANEL,REPSIZ
	INTEGER*4 STATUS
	LOGICAL*1 REPBUF(REPSIZ)
	INTEGER*2 IOSB(4,15)
	COMMON /SBLK/ IOSB
	INTEGER*4 SYS$QIO
	EXTERNAL IO$_READVBLK
	DO 2 I=1,REPSIZ
2	REPBUF(I)=0
	STATUS=SYS$QIO(%VAL(EVENT),%VAL(CHANEL),%REF(IO$_READVBLK),
     1	IOSB(1,EVENT),,,REPBUF,%VAL(REPSIZ),,,,)
	QREAD=STATUS
	RETURN
	END
	LOGICAL FUNCTION QDET(EVENT,CHANEL,STATUS)
	IMPLICIT INTEGER*2(A-Z)
	INTEGER*2 EVENT,CHANEL
	INTEGER*4 STATUS
	INTEGER*2 IOSB(4,15)
	COMMON /SBLK/ IOSB
	INTEGER*4 SYS$QIO
	INTEGER*4 DISCOD
	EXTERNAL IO$_DEACCESS,IO$M_SYNCH
	DISCOD=%LOC(IO$_DEACCESS) .OR. %LOC(IO$M_SYNCH)
	STATUS=SYS$QIO(%VAL(EVENT),%VAL(CHANEL),%VAL(DISCOD),
     1	IOSB(1,EVENT),,,, ,,,,)
	QDET=STATUS
	RETURN
	END
