C	NETMIN.FOR	(INCLUDE FILE FOR NETMAP)	17-APR-1981
C
	IMPLICIT INTEGER*2(A-Z)
	LOGICAL*1 NAME(256,6),KNOWN(256),BASE(6)
C
C	MAXNOP		Maximum number of empty hooks that can come
C			out of a node (i.e. lines we couldn't draw in).
C			Recommended minimum: 9 for large networks.
C					     4 for small networks.
C
C	MAXFNG		Maximum number of lines that can come out
C			of any one single node.
C			Recommended minimum: 15 for large networks.
C					      8 for small networks.
C
C	MAXNOT		Maximum number of notes about name inconsistencies
C			that should be saved.
C			Recommended minimum:  25 for orderly networks.
C					     100 for chaotic networks.
C
C	MAXLOP		Maximum number of loops in the network.
C			recommended minimum: 20 for simple networks
C					     50 for complex networks
C
	PARAMETER MAXNOP=10
	PARAMETER MAXFNG=16
	PARAMETER MAXNOT=150
	PARAMETER MAXLOP=75
	DIMENSION CONECT(255,MAXFNG),CONNUM(255),WEIGHT(255)
	DIMENSION NAMSIZ(255),DEPTH(255)
	LOGICAL*1 WANTED(255)
	COMMON /NDATA/ NAME,CONECT,CONNUM,WEIGHT,OURNOD,NAMSIZ,KNOWN,
     1	NODCNT,DEPTH,BASE,BASED,ONOD,WANTED
C
C	WANTED(255)	TRUE if this node is wanted in the node display
C
	INTEGER*2 RPLACE(255),CPLACE(255),XTENT(255),HEIGHT(255)
	INTEGER*2 GRID(25,25),CONS(1000,2),LOOP(MAXLOP,2)
	COMMON /GRIDY/ GRID,GRIDR,GRIDC,CONS,CONCNT,RPLACE,CPLACE,XTENT,
     1	LOOPCT,LOOP,HEIGHT
	LOGICAL*1 CONXTR(3,6)
	LOGICAL*1 ESC
C	These must appear in this order.
	LOGICAL*1 HB,VB,TR,TL,TD,TU,LL,LR,UL,UR,DASH
	COMMON /CHARS/ HB,VB,TR,TL,TD,TU,LL,LR,UL,UR,DASH,
     1	TOPCON,INTCON,ENDCON,NONCON,STRCON,BARCON,ESC,CONXTR
	LOGICAL*1 CODE(11)
	EQUIVALENCE (CODE(1),HB)
	LOGICAL*1 OLDNAM(128),SAVNAM(128),DATIME(20),ENODE(50)
	LOGICAL TREE,LIST,MAP,SAVFLG,DEBUG,LINEAR,FAST,EGUCAD
	LOGICAL GIGI,VS11,DECSET,ENDNOD,TEK,CALCOM,ETHER
	COMMON /INFO/ DEVTYP,WIDTH,PAGSIZ,MODE,TREE,LIST,MAP,DATMOD,
     1	SAVFLG,DEBUG,OLDNAM,SAVNAM,DATIME,LINEAR,FAST,LINKS,EGUCAD,
     2	GIGI,VS11,DECSET,ENDNOD,TEK,CALCOM,ETHER,ECOUNT,ENODE
C
C	ENDNOD	TRUE if want to see end nodes (FALSE suppresses them)
C	GIGI	TRUE if terminal is a GIGI
C	VS11	TRUE if terminal is a VS11
C	DECSET	TRUE if output is desired on a photocomp supported by DECset
C	EGUCAD	TRUE if output is desired via EGUCAD graphics package
C	LINKS	number of simultaneous logical links to use
C	FAST	TRUE means use fast node placement algorithm
C	TREE	TRUE if want to draw node tree
C	LIST	TRUE if want to display list of nodes
C	MAP	TRUE if want to draw node map
C	DEBUG	TRUE to turn on debugging output
C
	COMMON /BOXINF/ BOXW,BOXH,HORSP,VERSP,LMARG,TMARG,GRIDW,GRIDH
C
C	BOXW	Width of box in character positions
C	BOXH	Height of box in character positions (lines)
C	HORSP	Horizontal space between boxes in character positions
C	VERSP	Vertical space between boxes in character positions (lines)
C	LMARG	Space to left of first box in character positions
C	TMARG	Space above top box in character positions (lines)
C	GRIDW	BOXW+HORSP
C	GRIDH	BOXH+VERSP
C
	LOGICAL*1 NOTEE,NONAME(MAXNOT,6)
	INTEGER*2 NOTYPE(MAXNOT,3),NOTKNT
	COMMON /NOTES/ NOTEE,NONAME,NOTYPE,NOTKNT
C
C	PARMAX must be less than 24 since event flag 24
C	is reserved for use by VMS.
C
	PARAMETER PARMAX=20	! maximum number of parallel operations
				! actual number is in LINKS
	PARAMETER DEFLNK=5	! Default number of logical links used.
C
C	PARAMETER NOTSIZ=6*MAXNOT
C	DATA NONAME/NOTSIZ*' '/
	DATA ESC/27/
	DATA CONXTR,DASH/'q','w','q',' ','t','q',' ','m','q',' ',' ',' ',
     1	'q','q','q',' ','x',' ','q'/
	DATA TOPCON,INTCON,ENDCON,NONCON,STRCON,BARCON/1,2,3,4,5,6/
	DATA UL,UR,LL,LR,HB,VB/'l','k','m','j','q','x'/
	DATA TL,TR,TU,TD/'u','t','v','w'/
	INTEGER*2 NOPATH(255,MAXNOP),NOPCNT(255)
	COMMON /NOP/ NOPATH,NOPCNT,HOOKS
	INTEGER*2 RNUM(255)
	COMMON /GET/ RNUM,RCOUNT
C
	PARAMETER MAXW=133
	PARAMETER MAXH=58
	PARAMETER WHOLE=MAXH*MAXW
	LOGICAL*1 BOARD(MAXH,MAXW)
	COMMON /BD/BOARD
C	DATA BOARD/WHOLE*' '/
	LOGICAL*1 FREESP(WHOLE)
	EQUIVALENCE (BOARD,FREESP)
C
C
C	MASTER		TRUE means we need to read in MASTER.DAT
C	MASLOC(1:6,N)	Master location of node N
C	MASLEN(N)	Number of chars in master location name for node N
C	MASNAM(1:6,N)	Master name of node N
C	MASNSZ(N)	Number of chars in master name for node N
C	LOCNAM(1:LOCSIZ) Location we are drawing map for
C
	LOGICAL MASTER
	LOGICAL*1 MASLOC(6,256),MASNAM(6,256)
	LOGICAL*1 LOCNAM(6),USING(255)
	DIMENSION MASLEN(256),MASNSZ(256)
	COMMON /MAST/ MASTER,MASLOC,MASLEN,MASNAM,MASNSZ,LOCNAM,LOCSIZ
C
C
C
	COMMON /PIXEL/ PIXROW,PIXCOL,HOKLDG,SCALE
	DATA HOKLDG/4/
