$!---------------------------------------------------------------------
$!           GENFLX Command -  By Scott B. Sibley   22 Jan 81
$!---------------------------------------------------------------------
$!
$! Gen FLECS Prog:  GENFLX [file-spec][-NO|-DEL|-LINK][-EFF:opt] |-F|-H
$!
$!     GLOBAL SYMBOLS used:  HelpDir, Out, it, FileName
$!     FILES used:  'HelpDir'genflx.hlp
$!
$!---------------------------------------------------------------------
$      ON Error THEN EXIT
$!---------------------------------------------- Process option
$      Name := ""
$      arg = 0
$      action := ""
$      LinkQual := "/TRACEBACK"
$Next:    arg = arg + 1
$         IF arg .EQ. 1 THEN it := "''P1'"
$         IF arg .EQ. 2 THEN it := "''P2'"
$         IF arg .EQ. 3 THEN it := "''P3'"
$         opt := 'F$EXT(0,2,it)'
$         IF opt .EQS. "" THEN GOTO Check
$         IF "''F$EXT(0,1,opt)'" .EQS. "-" THEN GOTO CkOpt
$            Name := "''it'"
$            it :== "''it'"
$            GOTO CkArg
$CkOpt:   IF opt .EQS. "-F" .OR. opt .EQS. "-H" THEN GOTO INFO
$         IF opt .EQS. "-N" THEN GOTO Ok
$         IF opt .EQS. "-D" THEN GOTO Ok
$         IF opt .EQS. "-L" THEN GOTO Ok
$         last = 'F$LOC(":",it)' + 1
$         IF opt .EQS. "-E" THEN GOTO Ok
$            Out "       GENFLX - Invalid option:  ",opt
$            EXIT
$Ok:      IF opt .EQS. "-E" THEN LinkQual := "''F$EXTR(last,99,it)'"
$         IF opt .NES. "-E" THEN action := "''opt'"
$CkArg:   IF arg .LT. 3 THEN GOTO Next
$!---------------------------------------------- Check Options
$Check:
$      IF Name .EQS. "" THEN INQ/L Name "Enter name of Flecs Program"
$      IF Name .EQS. "" THEN EXIT
$      IF LinkQual .EQS. "" THEN LinkQual := "/NOTRACE/CONTIGUOUS"
$      IF action .EQS. "-D" THEN GOTO DEL
$      IF action .EQS. "-L" THEN GOTO LINK
$      ON Warning THEN EXIT
$      FLX 'Name'
$      Name := "''FileName'"
$      ON Error THEN EXIT
$      FOR 'Name'
$LINK: DEL 'Name'.EXE;*
$      LSLINK 'Name' 'LinkQual'
$      IF action .NES. "" THEN EXIT
$DEL:  DEL 'Name'.OBJ;*,'Name'.LIS;*,'Name'.FOR;*
$      EXIT
$INFO: Out "       Generate FLECS Prog: GENFLX [file-spec]", -
               "[-NO|-DEL|-LINK][-EFF:opt] |-F|-H"
$      IF "''F$EXT(0,2,P1)'" .NES. "-F" THEN fmt 'HelpDir'genflx.hlp TT:
