$!---------------------------------------------------------------------
$!        FLX Command -  By Scott B. Sibley   21 Sept, 8 Dec 80
$!---------------------------------------------------------------------
$      IF "''F$EXT(0,1,P1)'" .EQS. "-" THEN GOTO INFO
$!----------------------------------------------
$      ExitStat := "040"  ! W-Level Abort
$!---------------------------------------------- Check for File Name
$      INP := "''P1'"
$      IF INP .EQS. "" THEN $INQ/L INP "FLECS Input File"
$      IF INP .EQS. "" THEN GOTO HELP
$      it :== "''INP'"
$!---------------------------------------------- Set File Types
$      SetDefFileType 'INP' .FLX
$      INP := 'FileSpec'
$      FOR := 'P2'
$      IF FOR .EQS. "" THEN $FOR := 'PathName''FileName'
$      SetDefFileType 'FOR' .FOR
$      FOR := 'FileSpec'
$      LIS := 'P3'
$      IF LIS .EQS. "" THEN $LIS := 'PathName''FileName'
$      SetDefFileType 'LIS' .LIS
$      LIS := 'FileSpec'
$!---------------------------------------------- Check for Dup Names
$      IF INP .NES. FOR .AND. INP .NES. LIS THEN GOTO Find
$         Out "       FLX - Output file must not be Input File:  ", INP
$         GOTO Return
$!---------------------------------------------- Check for Open Error
$Find: OPEN/ERR=NoFile TEMPLUN 'INP'
$      CLOSE TEMPLUN
$      GOTO Run
$NoFile: Out "       FLX - Cannot open Input file:  ",INP
$      GOTO Return
$!---------------------------------------------- Run Preprocessor
$Run:  ASSI/USER_MODE 'INP' FOR001
$      ASSI/USER_MODE 'FOR' FOR002
$      ASSI/USER_MODE 'LIS' FOR003
$      ASSI/USER_MODE "FLX.ERR" FOR007
$      ON control_Y THEN GOTO QUIT
$      RUN [SIBLEY.UTIL.FLEX]FLECS
$!---------------------------------------------- Check for Errors
$      OPEN/ERR=NoErrs TEMPLUN FLX.ERR
$         READ TEMPLUN line
$         CLOSE TEMPLUN
$         Out "       FLX - Errors in File ''INP':''line'"
$         DEL FLX.ERR;*
$         GOTO QUIT
$NoErrs:
$      ExitStat := ""
$!----------------------------------------------
$QUIT:
$!---------------------------------------------- Return Status
$Return: EXIT 'ExitStat'
$INFO:
$Out "       FLECS Preprocessor:  FLX infile[.FLX] [fort[.FOR] list[.LIS]]"
$      IF "''F$EXTR(0,2,P1)" .NES. "-F" THEN fmt [SIBLEY.UTIL.FLEX]flecs.tex TT:
