(* I/O function codes *)
IO$M_ABORT     = %X0100;
IO$M_ACCESS    = %X0040;
IO$M_ATTNAST   = %X0100;
IO$M_BINARY    = %X0040;
IO$M_CANCTRLO  = %X0040;
IO$M_COMMOD    = %X0040;
IO$M_CREATE    = %X0080;
IO$M_CTRLCAST  = %X0100;
IO$M_CTRLYAST  = %X0080;
IO$M_CVTLOW    = %X0100;
IO$M_DATACHECK = %X4000;
IO$M_DELETE    = %X0100;
IO$M_DIAGNOSTIC= %X0100;
IO$M_DMOUNT    = %X0400;
IO$M_DSABLMBX  = %X0400;
IO$M_ENABLMBX  = %X0080;
IO$M_FCODE     = %X003F;
IO$M_HANGUP    = %X0200;
IO$M_INHERLOG  = %X0800;
IO$M_INHEXTGAP = %X1000;
IO$M_INHRETRY  = %X8000;
IO$M_INHSEEK   = %X1000;
IO$M_INTERRUPT = %X0040;
IO$M_INTSKIP   = %X0100;
IO$M_MOUNT     = %X0200;
IO$M_MOVETRACKD= %X0080;
IO$M_NOECHO    = %X0040;
IO$M_NOFILTR   = %X0200;
IO$M_NOFORMAT  = %X0100;
IO$M_NOW       = %X0040;
IO$M_NOWAIT    = %X0080;
IO$M_PACKED    = %X0080;
IO$M_PURGE     = %X0800;
IO$M_READATTN  = %X0080;
IO$M_REVERSE   = %X0040;
IO$M_SETEVF    = %X0040;
IO$M_SHUTDOWN  = %X0080;
IO$M_STARTUP   = %X0040;
IO$M_SYNCH     = %X0200;
IO$M_TIMED     = %X0080;
IO$M_TRMNOECHO = %X1000;
IO$M_WRTATTN   = %X0100;
IO$S_FCODE     = %X0006;
IO$V_ABORT     = %X0008;
IO$V_ACCESS    = %X0006;
IO$V_ATTNAST   = %X0008;
IO$V_BINARY    = %X0006;
IO$V_CANCTRLO  = %X0006;
IO$V_COMMOD    = %X0006;
IO$V_CREATE    = %X0007;
IO$V_CTRLCAST  = %X0008;
IO$V_CTRLYAST  = %X0007;
IO$V_CVTLOW    = %X0008;
IO$V_DATACHECK = %X000E;
IO$V_DELETE    = %X0008;
IO$V_DIAGNOSTIC= %X0008;
IO$V_DMOUNT    = %X000A;
IO$V_DSABLMBX  = %X000A;
IO$V_ENABLMBX  = %X0007;
IO$V_FCODE     = %X0000;
IO$V_HANGUP    = %X0009;
IO$V_INHERLOG  = %X000B;
IO$V_INHEXTGAP = %X000C;
IO$V_INHRETRY  = %X000F;
IO$V_INHSEEK   = %X000C;
IO$V_INTERRUPT = %X0006;
IO$V_INTSKIP   = %X0008;
IO$V_MOUNT     = %X0009;
IO$V_MOVETRACKD= %X0007;
IO$V_NOECHO    = %X0006;
IO$V_NOFILTR   = %X0009;
IO$V_NOFORMAT  = %X0008;
IO$V_NOW       = %X0006;
IO$V_NOWAIT    = %X0007;
IO$V_PACKED    = %X0007;
IO$V_PURGE     = %X000B;
IO$V_READATTN  = %X0007;
IO$V_REVERSE   = %X0006;
IO$V_SETEVF    = %X0006;
IO$V_SHUTDOWN  = %X0007;
IO$V_STARTUP   = %X0006;
IO$V_SYNCH     = %X0009;
IO$V_TIMED     = %X0007;
IO$V_TRMNOECHO = %X000C;
IO$V_WRTATTN   = %X0008;
IO$_ACCESS     = %X0032;
IO$_ACPCONTROL = %X0038;
IO$_CREATE     = %X0033;
IO$_DEACCESS   = %X0034;
IO$_DELETE     = %X0035;
IO$_DIAGNOSE   = %X001D;
IO$_DRVCLR     = %X0004;
IO$_ERASETAPE  = %X0006;
IO$_INITIALIZE = %X0004;
IO$_LOADMCODE  = %X0001;
IO$_LOGICAL    = %X002F;
IO$_MODIFY     = %X0036;
IO$_MOUNT      = %X0039;
IO$_NOP        = %X0000;
IO$_OFFSET     = %X0006;
IO$_PACKACK    = %X0008;
IO$_PHYSICAL   = %X001F;
IO$_QSTOP      = %X0007;
IO$_READHEAD   = %X000E;
IO$_READLBLK   = %X0021;
IO$_READPBLK   = %X000C;
IO$_READPRESET = %X0019;
IO$_READPROMPT = %X0037;
IO$_READTRACKD = %X0010;
IO$_READVBLK   = %X0031;
IO$_RECAL      = %X0003;
IO$_RELEASE    = %X0005;
IO$_RETCENTER  = %X0007;
IO$_REWIND     = %X0024;
IO$_REWINDOFF  = %X0022;
IO$_SEARCH     = %X0009;
IO$_SEEK       = %X0002;
IO$_SENSECHAR  = %X001B;
IO$_SENSEMODE  = %X0027;
IO$_SETCHAR    = %X001A;
IO$_SETCLOCK   = %X0037;
IO$_SETCLOCKP  = %X0005;
IO$_SETMODE    = %X0023;
IO$_SKIPFILE   = %X0025;
IO$_SKIPRECORD = %X0026;
IO$_SPACEFILE  = %X0002;
IO$_SPACERECORD= %X0009;
IO$_STARTDATA  = %X0038;
IO$_STARTDATAP = %X0006;
IO$_STARTMPROC = %X0002;
IO$_STARTSPNDL = %X0019;
IO$_STOP       = %X0003;
IO$_UNLOAD     = %X0001;
IO$_VIRTUAL    = %X003F;
IO$_WRITECHECK = %X000A;
IO$_WRITECHECKH= %X0018;
IO$_WRITEHEAD  = %X000D;
IO$_WRITELBLK  = %X0020;
IO$_WRITEMARK  = %X001C;
IO$_WRITEOF    = %X0028;
IO$_WRITEPBLK  = %X000B;
IO$_WRITETRACKD= %X000F;
IO$_WRITEVBLK  = %X0030;
